All Data Structures Namespaces Files Functions Groups Pages
TestGribMessage Class Reference

Test GribMessage functionality. More...

Inherits TestCase.

## Public Member Functions

def | test_metadata
| Metadata is read correctly from GribMessage. More...
def | test_missing_message_behaviour
| Key with MISSING value. More...
def | test_value_setting
| Keys can be set properly. More...
def | test_serialize
| Message can be serialized to file. More...
def | test_clone
| Messages can be used to produce clone Messages. More...

## Detailed Description

Test GribMessage functionality.

## Member Function Documentation

def test_clone | ( |  | self | ) |

Messages can be used to produce clone Messages.

Referenced by TestGribMessage.test_value_setting().

def test_metadata | ( |  | self | ) |

Metadata is read correctly from GribMessage.

References TestGribMessage.test_value_setting().

def test_missing_message_behaviour | ( |  | self | ) |

Key with MISSING value.

References TestGribMessage.test_serialize().

def test_serialize | ( |  | self | ) |

Message can be serialized to file.

Referenced by TestGribMessage.test_missing_message_behaviour().

def test_value_setting | ( |  | self | ) |

Keys can be set properly.

References TestGribMessage.test_clone().

Referenced by TestGribMessage.test_metadata().

The documentation for this class was generated from the following file:

- high_level_api.py